Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class GroupPersonalizationJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.JspBeanBase
            |
            +--com.beasys.portal.admin.jspbeans.PortalJspBean
                  |
                  +--com.beasys.portal.admin.jspbeans.PortletJspBean
                        |
                        +--com.beasys.portal.admin.jspbeans.PortalPersonalizationJspBean
                              |
                              +--com.beasys.portal.admin.jspbeans.GroupPersonalizationJspBean

Direct Known Subclasses:
  UserPersonalizationJspBean

public class GroupPersonalizationJspBean
extends PortalPersonalizationJspBean
implements Portlet

The <jsp:usebean> used by several Portal Admin Tools such as group_add_portlets.jsp.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `groupName` An HTTP request mapping attribute.
`protected boolean` | `isAvailable` An HTTP request mapping attribute.

Fields inherited from class com.beasys.portal.admin.jspbeans.PortalPersonalizationJspBean
`debug, IS_AVAILABLE, IS_UNAVAILABLE, IS_VISIBLE, isAvailable`

Fields inherited from class com.beasys.portal.admin.jspbeans.PortletJspBean
`alternateFooterURL, alternateHeaderURL, bannerURL, categoryName, column, editURL, floatable, hasHelp, helpURL, iconURL, isEditable, isMandatory, isMinimized, loginRequired, maximizeable, maximizedURL, minimizeable, moveable, row, visible`

Fields inherited from class com.beasys.portal.admin.jspbeans.PortalJspBean
`contentColumnCount, contentColumnCountStr, contentURL, editURL, footerURL, headerURL, isEditable, name, suspended, suspendedURL`

Fields inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`DEFAULT_CATEGORY`

Constructor Summary
`GroupPersonalizationJspBean()` Creates a new instance.

Method Summary
`java.lang.String` | `getAlternateFooterURL()` Overrides the getAlternateFooterURL method in the PortletJspBean class since this class does not support this attribute.
`java.lang.String` | `getAlternateHeaderURL()` Overrides the getAlternateHeaderURL method in the PortletJspBean class since this class does not support this attribute.
`java.lang.String` | `getBannerURL()` Overrides the getBannerURL method in the PortletJspBean class since this class does not support this attribute.
`java.lang.String` | `getGroupName()` Returns the group name
`java.lang.String` | `getMaximizedURL()` Overrides the getMaximizedURL method from the PortletJspBean class since this class does not support this attribute.
`boolean` | `isAvailable()` Returns true if available, false if not.
`protected void` | `sequencePortletsForGroup(java.lang.String aPortalName, java.lang.String aGroupName, com.sun.java.util.collections.Vector aPortletVec)` Re-sequences a column of portlets for the group.
`void` | `setAlternateFooterURL(java.lang.String ignore)` Overrides the setAlternateFooterURL method in the PortletJspBean class since this class does not support this attribute.
`void` | `setAlternateHeaderURL(java.lang.String ignore)` Overrides the setAlternateHeaderURL method in the PortletJspBean class since this class does not support this attribute.
`void` | `setAvailable(boolean isAvailable)` Sets the Available attribute
`void` | `setBannerURL(java.lang.String ignore)` Overrides the setBannerURL method in the PortletJspBean class since this class does not support this attribute.
`void` | `setGroupName(java.lang.String groupName)` Sets the group name for this bean.
`void` | `setMaximizedURL(java.lang.String ignore)` Overrides the setMaximizedURL method in the PortletJspBean class since this class does not support this attribute.
`java.lang.String` | `updateGroupWithPortlet(java.lang.String aPortalName, java.lang.String aGroupName)` Updates/Adds/removes a portlet to a portal group.
`boolean` | `updateGroupWithPortlets(javax.servlet.http.HttpServletRequest request, Portal portal, java.lang.String[] existingPortlets, java.lang.String[] schemaPortlets)` Updates/Adds/removes portlets to a portal group based on information in the request params.
`boolean` | `updatePortletGroup(java.lang.String thePortalName, java.lang.String theGroupName, Portlet thePortlet)` Adds/removes portlets to a portal group.

Methods inherited from class com.beasys.portal.admin.jspbeans.PortalPersonalizationJspBean
`calcNumCols, calcNumRows, makeDisplayNamesTable, sequencePortletsForPortal, updatePortalPortlet, updatePortalWithPortlet, updatePortalWithPortlets, validate`

Methods inherited from class com.beasys.portal.admin.jspbeans.PortletJspBean
`getCategoryName, getColumn, getEditURL, getHelpURL, getIconURL, getRow, hasHelp, isEditable, isFloatable, isLoginRequired, isMandatory, isMaximizeable, isMinimizeable, isMinimized, isMoveable, isVisible, setCategoryName, setColumn, setEditable, setEditURL, setFloatable, setHelp, setHelpURL, setIconURL, setLoginRequired, setMandatory, setMaximizeable, setMinimizeable, setMinimized, setMoveable, setRow, setVisible`

Methods inherited from class com.beasys.portal.admin.jspbeans.PortalJspBean
`getContentColumnCount, getContentColumnCountStr, getContentURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isSuspended, setContentColumnCount, setContentColumnCountStr, setContentURL, setFooterURL, setHeaderURL, setName, setSuspended, setSuspendedURL`

Methods inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`findStringInArray, hasSpecialHTMLChars, isStringLetterOrDigit, validateDoubleValue, validateDoubleValue, validateGroupName, validateIntValue, validateIntValue, validateLength, validateUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isAvailable

    protected boolean isAvailable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### groupName

    protected java.lang.String groupName

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

Constructor Detail

### GroupPersonalizationJspBean

    public GroupPersonalizationJspBean()

  Creates a new instance.

Method Detail

### getGroupName

    public java.lang.String getGroupName()

  Returns the group name
  Returns:
    the name of the group associated with this bean.

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Sets the group name for this bean.
  Parameters:
    `groupName` - The name of the group.

### getMaximizedURL

    public java.lang.String getMaximizedURL()

  Overrides the getMaximizedURL method from the PortletJspBean class since this class does not support this attribute.
  Specified by:
    getMaximizedURL in interface Portlet
  Overrides:
    getMaximizedURL in class PortalPersonalizationJspBean
  Returns:
    Always returns an empty string.

### setMaximizedURL

    public void setMaximizedURL(java.lang.String ignore)

  Overrides the setMaximizedURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    setMaximizedURL in interface Portlet
  Overrides:
    setMaximizedURL in class PortalPersonalizationJspBean
  Parameters:
    `ignore` - This parameter is ignored and the attribute is set to an empty string.

### getBannerURL

    public java.lang.String getBannerURL()

  Overrides the getBannerURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    getBannerURL in interface Portlet
  Overrides:
    getBannerURL in class PortalPersonalizationJspBean
  Returns:
    Always returns an empty string.

### setBannerURL

    public void setBannerURL(java.lang.String ignore)

  Overrides the setBannerURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    setBannerURL in interface Portlet
  Overrides:
    setBannerURL in class PortalPersonalizationJspBean
  Parameters:
    `ignore` - This parameter is ignored and the attribute is set to an empty string.

### getAlternateHeaderURL

    public java.lang.String getAlternateHeaderURL()

  Overrides the getAlternateHeaderURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    getAlternateHeaderURL in interface Portlet
  Overrides:
    getAlternateHeaderURL in class PortalPersonalizationJspBean
  Returns:
    Always returns an empty string.

### setAlternateHeaderURL

    public void setAlternateHeaderURL(java.lang.String ignore)

  Overrides the setAlternateHeaderURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    setAlternateHeaderURL in interface Portlet
  Overrides:
    setAlternateHeaderURL in class PortalPersonalizationJspBean
  Parameters:
    `ignore` - This parameter is ignored and the attribute is set to an empty string.

### getAlternateFooterURL

    public java.lang.String getAlternateFooterURL()

  Overrides the getAlternateFooterURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    getAlternateFooterURL in interface Portlet
  Overrides:
    getAlternateFooterURL in class PortalPersonalizationJspBean
  Returns:
    Always returns an empty string.

### setAlternateFooterURL

    public void setAlternateFooterURL(java.lang.String ignore)

  Overrides the setAlternateFooterURL method in the PortletJspBean class since this class does not support this attribute.
  Specified by:
    setAlternateFooterURL in interface Portlet
  Overrides:
    setAlternateFooterURL in class PortalPersonalizationJspBean
  Parameters:
    `ingore` - This parameter is ignored and the attribute is set to an empty string.

### isAvailable

    public boolean isAvailable()

  Returns true if available, false if not.
  Specified by:
    isAvailable in interface Portlet
  Overrides:
    isAvailable in class PortalPersonalizationJspBean
  Returns:
    true if available, false if not

### setAvailable

    public void setAvailable(boolean isAvailable)

  Sets the Available attribute
  Specified by:
    setAvailable in interface Portlet
  Overrides:
    setAvailable in class PortalPersonalizationJspBean
  Parameters:
    `isAvailable` - boolean value for the isAvailable attribute.

### updatePortletGroup

    public boolean updatePortletGroup(java.lang.String thePortalName,
                                      java.lang.String theGroupName,
                                      Portlet thePortlet)

  Adds/removes portlets to a portal group.
  Parameters:
    `thePortalName` - The name of the portal that the portlet is associated with.
    `theGroupName` - The name of the portal group to associate this portal.
  Returns:
    true if successful; false if not.

### updateGroupWithPortlet

    public java.lang.String updateGroupWithPortlet(java.lang.String aPortalName,
                                                   java.lang.String aGroupName)

  Updates/Adds/removes a portlet to a portal group.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the portal group.
  Returns:
    null if no error, else an error string.

### updateGroupWithPortlets

    public boolean updateGroupWithPortlets(javax.servlet.http.HttpServletRequest request,
                                           Portal portal,
                                           java.lang.String[] existingPortlets,
                                           java.lang.String[] schemaPortlets)

  Updates/Adds/removes portlets to a portal group based on information in the request params.
  Parameters:
    `request` - The HTTP request received by the JSP page associated with this bean.
    `portal` - The Portal object associated with the request.
    `existingPortlets` - A String array of portlet names that represent the existing available portlets for the portal group.
    `schemaPortlets` - A String array of portlet names that represent the available portlets for the portal and the group.
  Returns:
    true if sucessful, false if not.

### sequencePortletsForGroup

    protected void sequencePortletsForGroup(java.lang.String aPortalName,
                                            java.lang.String aGroupName,
                                            com.sun.java.util.collections.Vector aPortletVec)

  Re-sequences a column of portlets for the group. It removes column 'holes' and duplicate row positions.
  Parameters:
    `aPortalName` - The portal name
    `aGroupName` - The portal group name
    `aPortalVec` - A vector of portlet references for all portlets in the column.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved